/*
 * Copyright 2004-2012 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.extension.dataset.impl;

import javax.sql.DataSource;

import org.seasar.extension.dataset.DataRow;
import org.seasar.extension.dataset.DataTable;
import org.seasar.extension.dataset.TableWriter;
import org.seasar.extension.dataset.states.RowStates;

/**
 * SQLのDELETE文を実行するための {@link TableWriter}です。
 * 
 * @author higa
 * 
 */
public class SqlDeleteTableWriter extends SqlTableWriter {

    /**
     * {@link SqlDeleteTableWriter}を作成します。
     * 
     * @param dataSource
     */
    public SqlDeleteTableWriter(DataSource dataSource) {
        super(dataSource);
    }

    protected void doWrite(DataTable table) {
        for (int i = 0; i < table.getRowSize(); ++i) {
            DataRow row = table.getRow(i);
            RowStates.REMOVED.update(getDataSource(), row);
        }
    }
}